Free Support Forum - aspose.com

OpenJDK 13 Supported by Aspose.Words for Java | OpenJDK 13 Compiled JAR Files

Hi

I am looking for aspose.Word compiled with OpenJDK 13. Is it available?

Regards
Harish Alwala

@harishalwala,

You can use the regular JAR from the latest version of Aspose.Words for Java i.e. 20.3 package. It should work in your OpenJDK 13 environment also. However, we currently do not provide a JAR which is specially compiled for OpenJDK 13.

At the moment, we only ship two types of packages:

  1. A regular Aspose.Words for Java 20.3 package that supports the following Java versions:
  • J2SE 6.0 (1.6)
  • J2SE 7.0 (1.7)
  • J2SE 8.0 (1.8)
  • or above (for example Java 10)
  1. Aspose.Words for Java 20.3 (JDK1.6 only) package that is specially compiled for JDK1.6. You can choose this if you are using Aspose.Words for Java on an old Java 6 environment.

Thank you. Existing jars worked for me with OpenJDK 13 version.

@harishalwala,

Thanks for your feedback. Please let us know any time you may have any further queries in future.